<?php
/**
 * Post_Type_Post Class
 *
 * @package dvcrs-core
 */

namespace DVCRS\Core;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Post_Type_Post Class
 */
class Post_Type_Post {

	/**
	 * Post constructor
	 */
	public function __construct() {

		\add_action( 'init', [ $this, 'unregister_tags' ], 999 );

	}

	/**
	 * Unregister tags from Post post_type
	 */
	public function unregister_tags() {

		\unregister_taxonomy_for_object_type( 'post_tag', 'post' );

	}
}

new Post_Type_Post();
